# převod ze stupňů Celsia na stupně Fahrenheita

celsius = [2, -1, -3, 0, 4, 4, 7, 3]

# přístup 1: cyklus
fahrenheit = []
for c in celsius:
    fahrenheit.append(c * 9 / 5 + 32)

# přístup 2: list comprehension
fahrenheit = [c * 9/5 + 32 for c in celsius]

# přístup 3: filter
fahrenheit = list(map(lambda c: c * 9/5 + 32, celsius))
