# Eratosthenovo síto

LIMIT = 80
# prvek na indexu i bude True, pokud je číslo i prvočíslo
sieve = []
for i in range(LIMIT):
    sieve.append(True)

sieve[0] = False
sieve[1] = False

for i in range(2, LIMIT):
    if not sieve[i]:
        continue
    for mult in range(2*i, LIMIT, i):
        sieve[mult] = False

# uložíme nalezená prvočísla
primes = [num for num, is_prime in enumerate(sieve) if is_prime]
