from functools import lru_cache


# funkce s exponenciální složitostí
# zachráníme ji cachováním výsledků
@lru_cache
def fib(n):
    if n <= 1:
        return n
    return fib(n-1) + fib(n-2)


print(fib(200))
print(fib.cache_info())  # statistiky
