# čtení CSV souboru

def main():
    SEP = ","
    seminars = []
    with open("seminare.csv", "r") as f:
        # názvy sloupců
        headers = f.readline().rstrip().split(SEP)
        for line in f:
            # řádky s jednotlivými záznamy
            row = line.rstrip().split(SEP)
            seminar = create_seminar_dict(headers, row)
            seminars.append(seminar)
    print(seminars[0])


def create_seminar_dict(headers, row):
    seminar = {}
    # propojení názvu sloupce s odpovídající hodnotou pomocí zip
    for header, value in zip(headers, row):
        seminar[header] = value
    return seminar


main()
